{
    attributes = (
        {
            columnName = C2IE_KEY; 
            externalType = NUMBER; 
            name = c2ieKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = ETUD_NUMERO; 
            externalType = NUMBER; 
            name = etudNumero; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_DATE_JURY; 
            externalType = DATE; 
            name = ic2iDateJury; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = IC2I_DISPENSE; 
            externalType = NUMBER; 
            name = ic2iDispense; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IC2I_DISPENSE_N1; 
            externalType = NUMBER; 
            name = ic2iDispenseN1; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IC2I_DISPENSE_N2; 
            externalType = NUMBER; 
            name = ic2iDispenseN2; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IC2I_DISPENSE_N3; 
            externalType = NUMBER; 
            name = ic2iDispenseN3; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IC2I_ETAT; 
            externalType = NUMBER; 
            name = ic2iEtat; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IC2I_ETAT_N1; 
            externalType = NUMBER; 
            name = ic2iEtatN1; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IC2I_ETAT_N2; 
            externalType = NUMBER; 
            name = ic2iEtatN2; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IC2I_ETAT_N3; 
            externalType = NUMBER; 
            name = ic2iEtatN3; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = "to_number('0')"; 
            externalType = NUMBER; 
            name = ic2iFinale; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            definition = "NVL(NVL(IC2I_SESSION3_N1,IC2I_SESSION2_N1),IC2I_SESSION1_N1)"; 
            externalType = NUMBER; 
            name = ic2iFinaleN1; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            definition = "NVL(NVL(IC2I_SESSION3_N2,IC2I_SESSION2_N2),IC2I_SESSION1_N2)"; 
            externalType = NUMBER; 
            name = ic2iFinaleN2; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            definition = "NVL(NVL(IC2I_SESSION3_N3,IC2I_SESSION2_N3),IC2I_SESSION1_N3)"; 
            externalType = NUMBER; 
            name = ic2iFinaleN3; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            columnName = IC2I_MENTION; 
            externalType = NUMBER; 
            name = ic2iMention; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IC2I_NOM; 
            externalType = VARCHAR2; 
            name = ic2iNom; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = IC2I_PRENOM; 
            externalType = VARCHAR2; 
            name = ic2iPrenom; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            definition = "DECODE(ic2iEtat,1,'OBTIENT','')"; 
            externalType = VARCHAR2; 
            name = ic2iResultat; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_SESSION1_N1; 
            externalType = NUMBER; 
            name = ic2iSession1N1; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_SESSION1_N2; 
            externalType = NUMBER; 
            name = ic2iSession1N2; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_SESSION1_N3; 
            externalType = NUMBER; 
            name = ic2iSession1N3; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_SESSION2_N1; 
            externalType = NUMBER; 
            name = ic2iSession2N1; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_SESSION2_N2; 
            externalType = NUMBER; 
            name = ic2iSession2N2; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_SESSION2_N3; 
            externalType = NUMBER; 
            name = ic2iSession2N3; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_SESSION3_N1; 
            externalType = NUMBER; 
            name = ic2iSession3N1; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_SESSION3_N2; 
            externalType = NUMBER; 
            name = ic2iSession3N2; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = IC2I_SESSION3_N3; 
            externalType = NUMBER; 
            name = ic2iSession3N3; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            columnName = IC2I_TYPE; 
            externalType = VARCHAR2; 
            name = ic2iType; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = IDIPL_NUMERO; 
            externalType = NUMBER; 
            name = idiplNumero; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (etudNumero, persId, fannKey, ic2iType, c2ieKey, idiplNumero); 
    className = EOGenericRecord; 
    classProperties = (
        etudNumero, 
        ic2iDispense, 
        ic2iEtat, 
        ic2iDispenseN1, 
        ic2iEtatN1, 
        ic2iSession1N1, 
        ic2iSession2N1, 
        ic2iSession3N1, 
        ic2iDispenseN2, 
        ic2iEtatN2, 
        ic2iSession1N2, 
        ic2iSession2N2, 
        ic2iSession3N2, 
        ic2iDispenseN3, 
        ic2iEtatN3, 
        ic2iSession1N3, 
        ic2iSession2N3, 
        ic2iSession3N3, 
        fannKey, 
        toGrhumEtudiant, 
        toScolFormationAnnee, 
        ic2iMention, 
        ic2iResultat, 
        persId, 
        ic2iType, 
        ic2iFinaleN1, 
        ic2iFinaleN2, 
        ic2iFinaleN3, 
        ic2iFinale, 
        ic2iDateJury, 
        toGrhumPersonne, 
        ic2iNom, 
        ic2iPrenom, 
        c2ieKey, 
        toScolC2IEntete, 
        idiplNumero, 
        toScolInscriptionEtudiant
    ); 
    externalName = V_SCOL_INSCRIPTION_CNOTES; 
    fetchSpecificationDictionary = {}; 
    name = VScolInscriptionCnotes; 
    primaryKeyAttributes = (etudNumero, persId, fannKey, ic2iType, c2ieKey, idiplNumero); 
    relationships = (
        {
            destination = GrhumEtudiant; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = etudNumero; sourceAttribute = etudNumero; }); 
            name = toGrhumEtudiant; 
        }, 
        {
            destination = GrhumPersonne; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = toGrhumPersonne; 
        }, 
        {
            destination = ScolC2IEntete; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = c2ieKey; sourceAttribute = c2ieKey; }); 
            name = toScolC2IEntete; 
        }, 
        {
            destination = ScolFormationAnnee; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolInscriptionEtudiant; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = (
                {destinationAttribute = fannKey; sourceAttribute = fannKey; }, 
                {destinationAttribute = idiplNumero; sourceAttribute = idiplNumero; }
            ); 
            name = toScolInscriptionEtudiant; 
        }
    ); 
}
